> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List API public v1 pulse trader by address closed positions



## OpenAPI

````yaml /api-reference/openapi.json get /api/public/v1/pulse/trader/{address}/closed-positions
openapi: 3.1.0
info:
  title: coinversa-api
  version: 0.1.0
servers:
  - url: https://api.coinversa.ai
    description: Production
security: []
paths:
  /api/public/v1/pulse/trader/{address}/closed-positions:
    get:
      summary: List API public v1 pulse trader by address closed positions
      operationId: list-api-public-v1-pulse-trader-by-address-closed-positions
      parameters:
        - in: path
          name: address
          required: true
          schema:
            type: string
        - explode: false
          in: query
          name: limit
          schema:
            default: 50
            format: int32
            type: integer
        - explode: false
          in: query
          name: offset
          schema:
            default: 0
            format: int32
            type: integer
        - explode: false
          in: query
          name: coin
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ClosedPosition'
                type:
                  - array
                  - 'null'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Not Found
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unprocessable Entity
        '429':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Too Many Requests
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    ClosedPosition:
      additionalProperties: false
      properties:
        address:
          type: string
        closedAt:
          type: string
        closedAtRaw:
          format: int64
          type: integer
        coin:
          type: string
        durationMs:
          format: int64
          type: integer
        entryPx:
          format: double
          type: number
        exitPx:
          format: double
          type: number
        fees:
          format: double
          type: number
        id:
          format: int64
          type: integer
        leverage:
          format: double
          type: number
        leverageType:
          type: string
        notional:
          format: double
          type: number
        openedAt:
          type: string
        openedAtRaw:
          format: int64
          type: integer
        realizedPnl:
          format: double
          type: number
        side:
          type: string
        size:
          format: double
          type: number
        unrealizedPnl:
          format: double
          type: number
      required:
        - id
        - address
        - coin
        - side
        - entryPx
        - exitPx
        - size
        - notional
        - realizedPnl
        - fees
        - unrealizedPnl
        - leverage
        - leverageType
        - openedAt
        - closedAt
        - openedAtRaw
        - closedAtRaw
        - durationMs
      type: object
    APIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/APIError.json
          format: uri
          readOnly: true
          type: string
        code:
          description: Machine-readable error code
          type: string
        current_tier:
          description: Caller's effective tier
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        required_tier:
          description: Minimum tier for this operation
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
        upgrade_url:
          description: Where to upgrade
          type: string
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    apiKey:
      description: Get one at https://coinversa.ai/developers
      in: header
      name: X-API-Key
      type: apiKey

````